/* -*- mode: c++ -*- */

/** @file

BinToBlueWhite class interface

Copyright (C) 2007   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: BinToPrism.h,v 1.1 2007/01/21 22:20:06 pfkeb Exp $

*/

#ifndef _BinToPrism_H_
#define _BinToPrism_H_

#include "BinToColorMap.h"

namespace hippodraw {

/** This class implements a value to Prism color transform.

    @author Paul F. Kunz <paul_kunz@slac.stanford.edu>
*/

  class MDL_HIPPOPLOT_API BinToPrism : public BinToColorMap
{
 private:

  static int reds[256];
  static int greens [256];
  static int blues [256];

 public:

  /** The constructor. */
  BinToPrism ( const char * );

  /** The copy constructor. */
  BinToPrism ( const BinToPrism & );

  BinToColor * clone () const;

};

} // namespace hippodraw

#endif // _BinToPrism_H_
