/* -*- mode: c++ -*- */

/** @file

BinToEosA class interface

Copyright (C) 2007   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: BinToRainbow.h,v 1.1 2007/01/29 17:30:37 pfkeb Exp $

*/

#ifndef _BinToRainbow_H_
#define _BinToRainbow_H_

#include "BinToColorMap.h"

namespace hippodraw {

/** This class implements a value to nature colors

        @author Paul F. Kunz <paul_kunz@slac.stanford.edu>
*/

  class MDL_HIPPOPLOT_API BinToRainbow : public BinToColorMap
{
 private:

  static int reds[256];
  static int greens [256];
  static int blues [256];

 public:

  /** The constructor. */
  BinToRainbow ( const char * );

  /** The copy constructor. */
  BinToRainbow ( const BinToRainbow & );

  BinToColor * clone () const;

};

} // namespace hippodraw

#endif // _BinToRainbow_H_
