/* -*- mode:c++ -*- */

/** @file

The namespace for lines.

Copyright (C) 2000, 2004 The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: LineStyle.h,v 1.14 2005/07/06 18:28:25 pfkeb Exp $ 

*/

#ifndef _LineStyle_H_
#define _LineStyle_H_

namespace hippodraw {

  /** A namespace for line constants. 
   */
  namespace Line {

    /** Line style constants.
     */
    enum Style
      { 
	Solid,     ///< ________
	Dash,      ///< __ __ __
	Dot,       ///< . . . . .
	DashDot,   ///< __ . __ .
	DashDotDot,///< __ . . __
	Invisible  ///< not visible
      };

    Style convert ( unsigned int style );

  } // end namespace Line
} // end namespace hippodraw

#endif // _LineStyle_H_
