/* -*- mode: c++ -*- */

/** @file

PlotTableEvent  class interface

Copyright (C) 2005   The Board of Trustees of The Leland Stanford
Junior University.  All Rights Reserved.

$Id: PlotTableEvent.h,v 1.7 2006/05/05 23:42:22 pfkeb Exp $

*/

#ifndef _PlotTableEvent_H_
#define _PlotTableEvent_H_

#include "libqthippo.h"

#if QT_VERSION < 0x040000
#else
//Added by the Qt porting tool:
#include <QtCore/QCustomEvent>
#endif


#include <qevent.h>

namespace hippodraw {

class PlotterBase;

/** A derived class of QCustomEvent PlotTable events.  A derived class
    of QCustomEvent events generated by the PlotTable.  The PlotTable
    uses this mechanism in browser mode to inform the initiating
    Window of changes.

    @author Paul F. Kunz <Paul_Kunz@slac.stanford.edu>
*/
class MDL_QTHIPPOPLOT_API PlotTableEvent : public QCustomEvent
{

public:

  /** The event types avaiable.
   */
  enum Type { Copy = 1001, Close = 1002 };

#if __GNUC < 3
  PlotTableEvent ( Type type );
#else
  PlotTableEvent ( PlotTableEvent::Type type );
#endif

  /** The copy constructor. */
  PlotTableEvent ( const PlotTableEvent & );

  /** The required virtual destructor. */
  virtual ~PlotTableEvent ();

};

} // namespace hippodraw

#endif // _PlotTableEvent_H_
