/* -*- mode: c++ -*- */

/** @file

AIR2 class interface

Copyright (C) 2002-2004   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: AIR2.h,v 1.1 2007/03/14 23:28:29 xiefang Exp $

*/

#ifndef _AIR2_H_
#define _AIR2_H_

#include "PeriodicBinaryTransform.h"


namespace hippodraw {

/** A transform that performs the AIR2 projection.  
*/
class MDL_HIPPOPLOT_API AIR2 : public PeriodicBinaryTransform
{

private:

  
public:

  /** The constructor. The constructor taking a UnaryTransform for its
      Z axis.  */
  AIR2 ( UnaryTransform * z );

  /** The copy constructor. */
  AIR2 ( const AIR2 & );

  /** The virtual destructor. */
  virtual ~AIR2();

  /** Creates a new Transform object by copying an existing one. */
#ifdef CLONE_DEFECT
  virtual TransformBase * clone () const;
#else
  virtual AIR2    * clone () const;
#endif


  virtual double aspectRatio () const;


};

} // namespace hippodraw

#endif // _AIR2_H_
