/* -*- mode: c++ -*- */

/** @file

ARC2 class interface

Copyright (C) 2002-2004   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: ARC2.h,v 1.1 2007/03/14 23:28:29 xiefang Exp $

*/

#ifndef _ARC2_H_
#define _ARC2_H_

#include "PeriodicBinaryTransform.h"


namespace hippodraw {

/** A transform that performs the ARC2 projection.  
*/
class MDL_HIPPOPLOT_API ARC2 : public PeriodicBinaryTransform
{

private:

  
public:

  /** The constructor. The constructor taking a UnaryTransform for its
      Z axis.  */
  ARC2 ( UnaryTransform * z );

  /** The copy constructor. */
  ARC2 ( const ARC2 & );

  /** The virtual destructor. */
  virtual ~ARC2();

  /** Creates a new Transform object by copying an existing one. */
#ifdef CLONE_DEFECT
  virtual TransformBase * clone () const;
#else
  virtual ARC2    * clone () const;
#endif


  virtual double aspectRatio () const;


};

} // namespace hippodraw

#endif // _ARC2_H_
