/* -*- mode: c++ -*- */

/** @file

Cartesian2 class interface

Copyright (C) 2002-2004   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: Cartesian2.h,v 1.1 2007/03/14 23:28:29 xiefang Exp $

*/

#ifndef _Cartesian2_H_
#define _Cartesian2_H_

#include "PeriodicBinaryTransform.h"


namespace hippodraw {

/** A transform that performs the Cartesian2 projection.  
*/
class MDL_HIPPOPLOT_API Cartesian2 : public PeriodicBinaryTransform
{

private:

  
public:

  /** The constructor. The constructor taking a UnaryTransform for its
      Z axis.  */
  Cartesian2 ( UnaryTransform * z );

  /** The copy constructor. */
  Cartesian2 ( const Cartesian2 & );

  /** The virtual destructor. */
  virtual ~Cartesian2();

  /** Creates a new Transform object by copying an existing one. */
#ifdef CLONE_DEFECT
  virtual TransformBase * clone () const;
#else
  virtual Cartesian2    * clone () const;
#endif


  virtual double aspectRatio () const;


};

} // namespace hippodraw

#endif // _Cartesian2_H_
