/* -*- mode: c++ -*- */

/** @file

GlobalSinusoidal2 class interface

Copyright (C) 2002-2004   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: GlobalSinusoidal2.h,v 1.1 2007/03/14 23:28:29 xiefang Exp $

*/

#ifndef _GlobalSinusoidal2_H_
#define _GlobalSinusoidal2_H_

#include "PeriodicBinaryTransform.h"


namespace hippodraw {

/** A transform that performs the GlobalSinusoidal2 projection.  
*/
class MDL_HIPPOPLOT_API GlobalSinusoidal2 : public PeriodicBinaryTransform
{

private:

  
public:

  /** The constructor. The constructor taking a UnaryTransform for its
      Z axis.  */
  GlobalSinusoidal2 ( UnaryTransform * z );

  /** The copy constructor. */
  GlobalSinusoidal2 ( const GlobalSinusoidal2 & );

  /** The virtual destructor. */
  virtual ~GlobalSinusoidal2();

  /** Creates a new Transform object by copying an existing one. */
#ifdef CLONE_DEFECT
  virtual TransformBase * clone () const;
#else
  virtual GlobalSinusoidal2    * clone () const;
#endif


  virtual double aspectRatio () const;


};

} // namespace hippodraw

#endif // _GlobalSinusoidal2_H_
