/* -*- mode: c++ -*- */

/** @file

Lambert2 class interface

Copyright (C) 2002-2004   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: Lambert2.h,v 1.1 2007/03/14 23:28:29 xiefang Exp $

*/

#ifndef _Lambert2_H_
#define _Lambert2_H_

#include "PeriodicBinaryTransform.h"


namespace hippodraw {

/** A transform that performs the Lambert2 projection.  
*/
class MDL_HIPPOPLOT_API Lambert2 : public PeriodicBinaryTransform
{

private:

  
public:

  /** The constructor. The constructor taking a UnaryTransform for its
      Z axis.  */
  Lambert2 ( UnaryTransform * z );

  /** The copy constructor. */
  Lambert2 ( const Lambert2 & );

  /** The virtual destructor. */
  virtual ~Lambert2();

  /** Creates a new Transform object by copying an existing one. */
#ifdef CLONE_DEFECT
  virtual TransformBase * clone () const;
#else
  virtual Lambert2    * clone () const;
#endif


  virtual double aspectRatio () const;


};

} // namespace hippodraw

#endif // _Lambert2_H_
