/* -*- mode: c++ -*- */

/** @file

hippodraw::Mercator2 class interface

Copyright (C) 2005, 2006   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: Mercator2.h,v 1.1 2007/03/14 23:28:29 xiefang Exp $

*/

#ifndef _Mercator2_H_
#define _Mercator2_H_

#include "PeriodicBinaryTransform.h"


namespace hippodraw {

/** A transform that performs the Mercator2 projection.  
    
    @bug @@@@ This transform draws outside of drawing rectangle.  Use
    useBinner.py to see it.

*/
class MDL_HIPPOPLOT_API Mercator2 : public PeriodicBinaryTransform
{

private:

  
public:

  /** The constructor. The constructor taking a UnaryTransform for its
      Z axis.  */
  Mercator2 ( UnaryTransform * z );

  /** The copy constructor. */
  Mercator2 ( const Mercator2 & );

  /** The virtual destructor. */
  virtual ~Mercator2();

  /** Creates a new Transform object by copying an existing one. */
#ifdef CLONE_DEFECT
  virtual TransformBase * clone () const;
#else
  virtual Mercator2    * clone () const;
#endif


  virtual double aspectRatio () const;


};

} // namespace hippodraw

#endif // _Mercator2_H_
