/* -*- mode: c++ -*- */

/** @file

SIN2 class interface

Copyright (C) 2002-2004   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: SIN2.h,v 1.1 2007/03/14 23:28:29 xiefang Exp $

*/

#ifndef _SIN2_H_
#define _SIN2_H_

#include "PeriodicBinaryTransform.h"


namespace hippodraw {

/** A transform that performs the SIN2 projection.  
*/
class MDL_HIPPOPLOT_API SIN2 : public PeriodicBinaryTransform
{

private:

  
public:

  /** The constructor. The constructor taking a UnaryTransform for its
      Z axis.  */
  SIN2 ( UnaryTransform * z );

  /** The copy constructor. */
  SIN2 ( const SIN2 & );

  /** The virtual destructor. */
  virtual ~SIN2();

  /** Creates a new Transform object by copying an existing one. */
#ifdef CLONE_DEFECT
  virtual TransformBase * clone () const;
#else
  virtual SIN2    * clone () const;
#endif


  virtual double aspectRatio () const;


};

} // namespace hippodraw

#endif // _SIN2_H_
