/* -*- mode: c++ -*- */

/** @file

STG2 class interface

Copyright (C) 2002-2004   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: STG2.h,v 1.1 2007/03/14 23:28:29 xiefang Exp $

*/

#ifndef _STG2_H_
#define _STG2_H_

#include "PeriodicBinaryTransform.h"


namespace hippodraw {

/** A transform that performs the STG2 projection.  
*/
class MDL_HIPPOPLOT_API STG2 : public PeriodicBinaryTransform
{

private:

  
public:

  /** The constructor. The constructor taking a UnaryTransform for its
      Z axis.  */
  STG2 ( UnaryTransform * z );

  /** The copy constructor. */
  STG2 ( const STG2 & );

  /** The virtual destructor. */
  virtual ~STG2();

  /** Creates a new Transform object by copying an existing one. */
#ifdef CLONE_DEFECT
  virtual TransformBase * clone () const;
#else
  virtual STG2    * clone () const;
#endif


  virtual double aspectRatio () const;


};

} // namespace hippodraw

#endif // _STG2_H_
