/* -*- mode: c++ -*- */

/** @file

TAN2 class interface

Copyright (C) 2002-2004   The Board of Trustees of The Leland
Stanford Junior University.  All Rights Reserved.

$Id: TAN2.h,v 1.1 2007/03/14 23:28:29 xiefang Exp $

*/

#ifndef _TAN2_H_
#define _TAN2_H_

#include "PeriodicBinaryTransform.h"


namespace hippodraw {

/** A transform that performs the TAN2 projection.  
*/
class MDL_HIPPOPLOT_API TAN2 : public PeriodicBinaryTransform
{

private:

  
public:

  /** The constructor. The constructor taking a UnaryTransform for its
      Z axis.  */
  TAN2 ( UnaryTransform * z );

  /** The copy constructor. */
  TAN2 ( const TAN2 & );

  /** The virtual destructor. */
  virtual ~TAN2();

  /** Creates a new Transform object by copying an existing one. */
#ifdef CLONE_DEFECT
  virtual TransformBase * clone () const;
#else
  virtual TAN2    * clone () const;
#endif


  virtual double aspectRatio () const;


};

} // namespace hippodraw

#endif // _TAN2_H_
